[SciPy-user] can't build on OS X from SVN

Robert Kern robert.kern@gmail....
Thu Jun 14 19:34:44 CDT 2007


Zachary Pincus wrote:
> Hi all,
> 
> I tried to build scipy from today's svn (r3105) on OS X (PPC), using  
> GCC 4.0.1 and gfortran, (as 'python setup.py config_fc -- 
> fcompiler=gnu95 build') and I got the following error:
> 
> /usr/bin/ld: flag: -undefined dynamic_lookup can't be used with  
> MACOSX_DEPLOYMENT_TARGET environment variable set to: 10.1
> 
> Which is strange since MACOSX_DEPLOYMENT_TARGET is set to 10.4. I  
> nuked the build tree and the current install, made sure that the  
> MACOSX_DEPLOYMENT_TARGET value was correct, tried again, and again  
> got the same error.
> 
> Any thoughts? (The context within which this error was raised is  
> below).

Gah. Looks like more fallout from the merge. The get_flags_linker_so() methods
which have all of this information don't seem to be called any more.

-- 
Robert Kern

"I have come to believe that the whole world is an enigma, a harmless enigma
 that is made terrible by our own mad attempt to interpret it as though it had
 an underlying truth."
  -- Umberto Eco


More information about the SciPy-user mailing list